## org.apache.mahout.cf.taste.eval
Interface IRStatistics

All Known Implementing Classes:
  IRStatisticsImpl

    public interface IRStatistics

Implementations encapsulate information retrieval-related statistics about a `Recommender`'s recommendations.

See Information retrieval.

Method Summary
`double` `getF1Measure()` See F-measure.
`double` `getFallOut()` See Fall-Out.
`double` `getFNMeasure(double n)` See F-measure.
`double` `getPrecision()` See Precision.
`double` `getRecall()` See Recall.

Method Detail

### getPrecision

    double getPrecision()

  See Precision.

### getRecall

    double getRecall()

  See Recall.

### getFallOut

    double getFallOut()

  See Fall-Out.

### getF1Measure

    double getF1Measure()

  See F-measure.

### getFNMeasure

    double getFNMeasure(double n)

  See F-measure.

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.